Description

The recently added cache functionality regarding WMS capabilites have the down side, that if you perform tests on a WMS server, which

affect the GetCapabilities request, you have to navigate to Options/Network and clear the entire network cache each time. This is pretty

inconvenient.

A simple button to clear the WMS cache for the selected server or maybe an option to disregard the cache (even though it exist) would do

wonders.

History

#1 - 2016-03-01 11:40 AM - Jürgen Fischer

- Status changed from Open to Feedback

The cache is bypassed and refresh whenever you click "Connect" in "Add Layer(s) from a WMS Server" anyway.

#2 - 2016-03-01 11:56 AM - Casper Børgesen

If the cache is bypassed by clicking "Connect" where does the cache speed things up?

Never the less, I had a big fight with the cache about two weeks ago in master (I didn't know there was a cache), where I was doing a lot of configuration of

layers in GeoServer. I used Fiddler to inspect the capabilities request and response and found nothing wrong with it even though QGIS complained about

primarily being unable to calculate extents. At that point I think the cache was used even though the request was made. All problems were solved if I went

in and cleared the cache before each "Connect". I don't know if You have made changes since then, but if so (and at the moment I cannot reproduce the

problem), then I withdraw my Feature Request.

#3 - 2016-03-01 02:10 PM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Feedback to Closed

Casper Børgesen wrote:

If the cache is bypassed by clicking "Connect" where does the cache speed things up?

The capabilities were also retrieved when layers were inserted.

#4 - 2016-06-23 02:08 AM - dr -
Faced with the same issue on the latest master. If I change layer name on server side then after clicking "Connect" I see new layer name in QGIS dialog.

But if I change layer extent property on server side then clicking "Connect" doesn't help and QGIS use old extent value.

#5 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
